Bug 184159 - webalizer username exceeds 8 chars
webalizer username exceeds 8 chars
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: webalizer (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-06 17:28 EST by Dax Kelson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-16 10:01:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dax Kelson 2006-03-06 17:28:17 EST
Description of problem:

The username "webalizer" is 9 characters in length and violates a long
standing convention of 8 character maximum username lengths.

This has a real world impact in the output of the "ls" and "ps" commands.
Besides the visual glitches and mis-alignments from those commands, they are
often used as input to shell scripts which might mis-execute when their input
changes.

Additionally, old tar and cpio may not deal well with username > 8 chars.
Comment 1 Joe Orton 2006-06-16 10:01:03 EDT
Well, then I could argue that the ls and ps commands should be fixed then?  I
can't really see that this is a problem worth the hassle of changing the
username for.

Note You need to log in before you can comment on or make changes to this bug.